Danh sách chỉ số
curl --request GET \
--url https://api.ssi.com.vn/api/v3/data/indexList \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.ssi.com.vn/api/v3/data/indexList"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ssi.com.vn/api/v3/data/indexList', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"index": "VNALL",
"indexName": "VNALL",
"board": "HOSE"
},
{
"index": "HNXFIN",
"indexName": "HNXFIN",
"board": "HNX"
}
]{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}Dữ liệu thị trường
Danh sách chỉ số
Lấy danh sách các chỉ số thị trường.
GET
/
api
/
v3
/
data
/
indexList
Danh sách chỉ số
Ủy quyền
Access token lấy từ endpoint /api/v3/auth/token hoặc /api/v3/auth/refresh.
Tiêu đề
Định dạng nội dung request body. Chủ yếu là application/json.
Thông tin client gửi request.
Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc định là en
Tham số truy vấn
Mã sàn cần lấy danh sách các chỉ số. Giá trị có thể là HOSE, HNX, hoặc UPCOM. Nếu không cung cấp thì hệ thống sẽ trả về danh sách các chỉ số của tất cả các sàn.